Problem with Support for TLS 1.0 and 1.1 discontinued in GitLab.com and the GitLab API in 2018-12-15


#1

Support for TLS 1.0 and 1.1 discontinued in GitLab.com and the GitLab API in 2018-12-15
https://about.gitlab.com/2018/12/17/gitlab-tls1011-discontinued-update/

After being discontinued the TLS 1.0 and 1.1 are having several issues as we were migrating our entire process from RTC, Ecommerce WCS 7.0, Eclipse to Gitlab and Egit plugin org.eclipse.egit.repository-2.1.0.201209190230-r. Our migration was scheduled for today 12/18, but until December 12, everything was up and running correctly. Now we have to redo the entire migration strategy. I wonder if they could help me with something I can do to remedy this problem as soon as possible.
On account of Ecommerce WCS 7.0, we use RAD 8.0, java version 1.6 and we use TLS 1.0 and 1.1 because Ecommerce only supports it. We have to work out a solution to the case. The clone time error, pull, push and any communication with the gitlab remote server. “can not-open-git-upload-pack-error” also says that TLS 1.0 and 1.1 is not supported.